Subject: [MMUSIC] SDP Directorate: Review of draft-ietf-xrblock-rtcp-xr-qoe-08

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Thu, 13 Jun 2013 09:14:10 +0000

I am the assigned SDP directorate reviewer for this draft. For background on the SDP directorate, please see the FAQ at

http://www.ietf.org/iesg/directorate/sdp.html

Please wait for direction from your document shepherd or AD before posting a new version of the draft.

Summary:
- I have a serious concern about the definition of QoE and usage of MOS in this draft.
- The RTCP XR extension syntax seems to have an issue.
- There are quite a few grammatical/capitalization/spelling errors. Please proofread the document.

Issues:

- Section 1.3: s/guideline/guidelines, s/XR Block/XR block types

- Section 1.4: s/"Audio/Video"/"audio/video", s/transport-dependent/transport-specific

- Section 1.4: I don't understand what the following sentence means:

The factors in the second category are application-specific factors that affect real time application (e.g., video) quality and are sensitivity to network errors.

- Section 1.4: s/but not limited/but are not limited

- Section 1.4: I don't generally like the term "subscriber". Use more a more generic term like end-user, client, etc.

- Section 2.1: s/8:8/S8:8

- Section 3, first paragraph: The use of "recommended". These specific (2119) keywords are not supposed to be used in lower case.

- I don't agree with the following statement:

   Information is recorded about QoE metric which provides a
   measure that is indicative of the user's view of a service.

The application cannot possibly know a user's view of service unless the user explicitly enters that info in some fashion to the application.

- Section 3.1:

I think you should replace:

The fields corresponding to unreported parameters MUST be present, but are set to zero.

With:

The fields corresponding to unreported parameters MUST be present, and MUST be set to zero.

- Section 4.1: "extmap" attribute was defined in 5285 not 4566.

- Section 4.1/4.2: Do not use "may/should/etc." in lower case. There are multiple occurrences of this.

- Section 4.1: "extmap" is already a registered attribute name. I did not understand why and in what way you want to use it.

- Section 4.2: s/indicates/indicate

- Section 4.1/4.2: Extra spaces in the SDP examples.

Replace

a = rtcp-xr:qoe-metrics = calg:1=G107,calg:2=P1202.1

With

a=rtcp-xr:qoe-metrics=calg:1=G107,calg:2=P1202.1

- Section 5.1: Use the correct registry name: "RTP Control Protocol Extended Reports (RTCP XR) Block Type Registry"

6) Section 5.2: Use the correct registry name: "RTP Control Protocol Extended Reports (RTCP XR) Session Description Protocol (SDP) Parameters Registry".

---

From: Qin Wu <[email-masked]>
Date: Thu, 13 Jun 2013 11:44:43 +0000

Hi,Ali:
Thank for your valuable review. Please see my reply inline below.

Regards!
-Qin
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Ali C. Begen (abegen)
Sent: Thursday, June 13, 2013 5:14 PM
To: [email-masked]<mailto:[email-masked]>
Cc: xrblock-chairs; mmusic
Subject: [MMUSIC] SDP Directorate: Review of draft-ietf-xrblock-rtcp-xr-qoe-08

Summary:

[Qin]: Thanks, See below.

Issues:

[Qin]: Okay.

[Qin]: Okay.

[Qin]: What I am saying here is video is sensitive to transport impairment. So I believe I should remove the second part of this sentence to avoid confusion.
OLD TEXT:
"
The factors in the second category are application-specific factors that affect real time application (e.g., video) quality and are sensitivity to network errors.
"
NEW TEXT:
"
The factors in the second category are application-specific factors that affect real time application (e.g., video) quality.

"

[Qin]: Okay.

[Qin]: Okay, will use end user instead.

[Qin]: In section 2.1, 8:8 is referred to 8:8 an unsigned number in the range 0.0 to
     255.996 with a granularity of 0.0039. We are intending to use S8:8 as an example. Instead, we use S7:8 to give the example.

[Qin]: Okay.

[Qin]:  The application can rely on QoE evaluation model to calculate MoS value and use such MoS value to reflect how end user feel or experience the media quality. That's what this statement want
to convey.

- Section 3.1:

With:

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

[Qin]: We need a new attribute defining the mapping from the different parameter names (i.e., the different calculation-algorithm parameter names) to the numeric values used in the packets Unlike RFC5285 extmap usage, we map name rather than URI to the numeric values used in the packet.
So I assume "extmap" can be reused, however if not, I believe we should define new attribute similar to "extmap" in this document.
- Section 4.2: s/indicates/indicate

[Qin]: Okay.

Replace

With

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Thu, 13 Jun 2013 11:58:29 +0000

[Qin]:  The application can rely on QoE evaluation model to calculate MoS value and use such MoS value to reflect how end user feel or experience the media quality. That’s what this statement want
to convey.

That is not what the sentence says, though, at least to me. The "user's view of a service" is the troubling part to me. What you do is that you apply an algorithm with some observed values and you try to estimate some sort of a mean opinion score. That may or may not be indicative of the end-user's QoE.

[Qin]: We need a new attribute defining the mapping from the different parameter names (i.e., the different calculation-algorithm parameter names) to the numeric values used in the packets Unlike RFC5285 extmap usage, we map name rather than URI to the numeric values used in the packet.
So I assume “extmap” can be reused, however if not, I believe we should define new attribute similar to “extmap” in this document.

I'd refer to some SDP experts here as I could not understand what you wanna do and how you wanna do it.

---

From: Qin Wu <[email-masked]>
Date: Tue, 18 Jun 2013 03:59:56 +0000

From: Ali C. Begen (abegen) [mailto:[email-masked]]
Sent: Thursday, June 13, 2013 7:58 PM
To: Qin Wu; [email-masked]
Cc: xrblock-chairs; mmusic; 'xrblock'
Subject: Re: [MMUSIC] SDP Directorate: Review of draft-ietf-xrblock-rtcp-xr-qoe-08

[Qin]: I get your point. Maybe we can rephrase this sentence as follows:
OLD TEXT:
“
Information is recorded about QoE metric which provides a
measure that is indicative of the user's view of a service.
”
NEW TEXT:
“
Information is recorded about QoE metric which provides a
measure that gives a numerical indication of the perceived
quality of the media received.
”

[Qin]: Thank for your suggestion. I think  instead of using “extmap”, we will use a new attribute with a new attribute name “calgextmap”.